# Uses of Interface
org.eclipse.emf.cdo.security.Assignee

Packages that use Assignee
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of Assignee in org.eclipse.emf.cdo.security

Subinterfaces of Assignee in org.eclipse.emf.cdo.security
Modifier and Type
Interface
Description
`interface`
`Group`
A representation of the model object 'Group'.
`interface`
`User`
A representation of the model object 'User'.
Methods in org.eclipse.emf.cdo.security that return types with arguments of type Assignee
Modifier and Type
Method
Description
`EList<Assignee>`
Role.`getAssignees()`
Returns the value of the 'Assignees' reference list.

## Uses of Assignee in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement Assignee
Modifier and Type
Class
Description
`class`
`AssigneeImpl`
An implementation of the model object 'Assignee'.
`class`
`GroupImpl`
An implementation of the model object 'Group'.
`class`
`UserImpl`
An implementation of the model object 'User'.
Methods in org.eclipse.emf.cdo.security.impl that return types with arguments of type Assignee
Modifier and Type
Method
Description
`EList<Assignee>`
RoleImpl.`getAssignees()`

## Uses of Assignee in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type Assignee
Modifier and Type
Method
Description
`T`
SecuritySwitch.`caseAssignee(Assignee object)`
Returns the result of interpreting the object as an instance of 'Assignee'.
`boolean`
SecurityValidator.`validateAssignee(Assignee assignee, DiagnosticChain diagnostics, Map<Object,Object> context)`